### Method

# AyatanaAppIndicatorGlib Indicator set_label

#### Declaration

    void
    app_indicator_set_label (
      AppIndicator* self,
      const gchar* label,
      const gchar* guide
    )

#### Description

This is a wrapper function for the `AppIndicator:label` and `AppIndicator:label-guide` properties. This function can take `NULL` as either `label` or `guide` and will clear the entries.

Sets property | `AyatanaAppIndicatorGlib.Indicator:label`

#### Parameters

`label`

  Type: `const gchar*`

  The label to show next to the icon.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`guide`

  Type: `const gchar*`

  A guide to size the label correctly.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.